const {
  defineConfig
} = require('@vue/cli-service')
module.exports = defineConfig({
  transpileDependencies: true,
  lintOnSave: false,
  //如果是hash模式， publicPath:""；如果是history， publicPath:"/"
  publicPath: "/",
  //打包的文件夹目录
  outputDir: "dist",
  // 打包之后的入口文件
  indexPath: "index.html",
  //静态资源目录
  assetsDir: "assets",
  //配置代理
  devServer: {
    proxy: {
      '/API': {
        target: 'https://pcode.baozhida.cn',
        ws: false,
        changeOrigin: true,
        pathRewrite: {
          '^/API': ''
        }
      }
    }
  }
})
